{% sw_extends '@Storefront/storefront/page/product-detail/buy-widget-price.html.twig' %}

{% block page_product_detail_price_content %}
    {% set listPrice = price.listPrice %}

    <p class="product-detail-price{% if listPrice.percentage > 0 %} with-list-price{% endif %}">
        {{ price.unitPrice|currency }}
    </p>

    {% if listPrice.percentage > 0 %}
        {% block page_product_detail_was_price %}

            {% block page_product_detail_was_price_badge %}
            {% endblock %}

            {% set afterListPriceSnippetExists = "listing.afterListPrice"|trans|length > 0 %}
            {% set beforeListPriceSnippetExists = "listing.beforeListPrice"|trans|length > 0 %}

            {% block page_product_detail_was_price_wrapper %}
                <span class="product-detail-list-price-wrapper">
                    {% if beforeListPriceSnippetExists %}{{"listing.beforeListPrice"|trans|trim}}{% endif %}

                    <span{% if not (afterListPriceSnippetExists or beforeListPriceSnippetExists) %} class="list-price-price"{% endif %}>{{ listPrice.price|currency }}</span>

                    {% if afterListPriceSnippetExists %}
                        {{"listing.afterListPrice"|trans|trim}}
                    {% endif %}

                    <span class="list-price-percentage">{{ "detail.listPricePercentage"|trans({'%price%': listPrice.percentage })|sw_sanitize }}</span>
                </span>
            {% endblock %}
        {% endblock %}
    {% endif %}
{% endblock %}

{% block page_product_detail_price_unit_label %}
{% endblock %}
